General reference · Government Verification Sources

Argentina

Registro Nacional de las Personas (RENAPER)

RENAPER is Argentina’s government authority responsible for identifying citizens and legal residents, capturing biometric and personal data, and issuing the national identity card (DNI). Incode’s platform supports clients that independently obtain credentials through their own contract with RENAPER, allowing them to access RENAPER’s database as part of their verification flows.

Verification Type

Verification Type Supported Document Types Data that can be verified
Face Only DNI (Documento Nacional de Identidad) Document Number (DNI), Gender, Selfie image
Data and Face DNI (Documento Nacional de Identidad) Document Number (DNI), Gender, First Name, Last Name, Date of Birth, Selfie Image

Standalone API

POST /omni/process/government-validation?countryCode=ARG

Face Only

Request Body

{
"documentNumber": "12345678",
"base64Image": "{{selfie}}"
}

Response Body

{
    "valid": true,
    "statusCode": 0,
    "governmentValidation": {
        "recognitionConfidence": {
            "value": "99.0",
            "status": "OK"
        },
        "validationStatus": {
            "value": "0",
            "status": "OK",
            "key": "ok"
        },
        "ocrValidation": [
            {
                "value": "true",
                "status": "OK",
                "key": "documentNumber"
             },
             {
                "value": "true",
                "status": "OK",
                "key": "personalNumber"
             }
        ],
        "ocrValidationOverall": {
            "value": "100.0",
            "status": "OK"
        },
        "overall": {
            "value": "99.0",
            "status": "OK"
        }
    }
}

Data and Face

Request Body

{
"documentNumber": "12345678",
"personalNumber": "20123456789",
"firstName": "JUAN",
"paternalLastName": "GOMEZ",
"birthDate": "1985-03-15",
"base64Image": "{{selfie}}"
}

Response Body

{
    "valid":true,
    "statusCode":0,
    "governmentValidation":{
        "recognitionConfidence":{
            "value":"99.0",
            "status":"OK"
        },
        "validationStatus":{
            "value":"0",
            "status":"OK",
            "key":"ok"
        },
        "ocrValidation":[
            {
                "value":"true",
                "status":"OK",
                "key":"documentNumber"
            },
            {
                "value":"true",
                "status":"OK",
                "key":"personalNumber"
            },
            {
                "value":"true",
                "status":"OK",
                "key":"paternalLastName"
            },
            {
                "value":"true",
                "status":"OK",
                "key":"firstName"
            },
            {
                "value":"true",
                "status":"OK",
                "key":"birthDate"
            }
        ],
        "ocrValidationOverall":{
            "value":"100.0",
            "status":"OK"
        },
        "overall":{
            "value":"99.0",
            "status":"OK"
        }
    }
}
Was this page helpful?